export default interface IRequest {
    get: (path: string, options?: RequestInit) => Promise<Response>;
    post: (path: string, body: BodyInit, options?: RequestInit) => Promise<Response>;
    put: (path: string, body: BodyInit, options?: RequestInit) => Promise<Response>;
    patch: (path: string, body: BodyInit, options?: RequestInit) => Promise<Response>;
    'delete': (path: string, options?: RequestInit) => Promise<Response>;
    request: (path: string, options: RequestInit) => Promise<Response>;
}
//# sourceMappingURL=IRequest.d.ts.map